package com.jasamedika.medifirst2000.dto;

import java.util.Date;
import java.util.List;
import java.util.Map;

public class AntrianPasienGiziDto {

	public AntrianPasienGiziDto() {

	}

	private List<Map<String, Object>> listDiagnosa;
	private List<Map<String, Object>> listJenisDiet;
	private List<Map<String, Object>> listAlergi;
	private String noRec;
	private String noCm;
	private Integer pasienId;
	private String namaPasien;
	private Date tglLahir;
	private Date tglRegistrasi;
	private Integer ruanganId;
	private String namaRuangan;
	private Integer pegawaiId;
	private String namaPegawai;
	private Integer diagnosaId;
	private String namaDiagnosa;
	private Integer alergiId;
	private String namaAlergi;
	private Integer jenisDietId;
	private String jenisDiet;
	private String statusAntrian;

	public List<Map<String, Object>> getListDiagnosa() {
		return listDiagnosa;
	}

	public void setListDiagnosa(List<Map<String, Object>> listDiagnosa) {
		this.listDiagnosa = listDiagnosa;
	}

	public List<Map<String, Object>> getListAlergi() {
		return listAlergi;
	}

	public void setListAlergi(List<Map<String, Object>> listAlergi) {
		this.listAlergi = listAlergi;
	}

	public List<Map<String, Object>> getListJenisDiet() {
		return listJenisDiet;
	}

	public void setListJenisDiet(List<Map<String, Object>> listJenisDiet) {
		this.listJenisDiet = listJenisDiet;
	}

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public String getNoCm() {
		return noCm;
	}

	public void setNoCm(String noCm) {
		this.noCm = noCm;
	}

	public Integer getPasienId() {
		return pasienId;
	}

	public void setPasienId(Integer pasienId) {
		this.pasienId = pasienId;
	}

	public String getNamaPasien() {
		return namaPasien;
	}

	public void setNamaPasien(String namaPasien) {
		this.namaPasien = namaPasien;
	}

	public Date getTglLahir() {
		return tglLahir;
	}

	public void setTglLahir(Date tglLahir) {
		this.tglLahir = tglLahir;
	}

	public Date getTglRegistrasi() {
		return tglRegistrasi;
	}

	public void setTglRegistrasi(Date tglRegistrasi) {
		this.tglRegistrasi = tglRegistrasi;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public String getNamaRuangan() {
		return namaRuangan;
	}

	public void setNamaRuangan(String namaRuangan) {
		this.namaRuangan = namaRuangan;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public String getNamaPegawai() {
		return namaPegawai;
	}

	public void setNamaPegawai(String namaPegawai) {
		this.namaPegawai = namaPegawai;
	}

	public Integer getDiagnosaId() {
		return diagnosaId;
	}

	public void setDiagnosaId(Integer diagnosaId) {
		this.diagnosaId = diagnosaId;
	}

	public String getNamaDiagnosa() {
		return namaDiagnosa;
	}

	public void setNamaDiagnosa(String namaDiagnosa) {
		this.namaDiagnosa = namaDiagnosa;
	}

	public Integer getAlergiId() {
		return alergiId;
	}

	public void setAlergiId(Integer alergiId) {
		this.alergiId = alergiId;
	}

	public String getNamaAlergi() {
		return namaAlergi;
	}

	public void setNamaAlergi(String namaAlergi) {
		this.namaAlergi = namaAlergi;
	}

	public Integer getJenisDietId() {
		return jenisDietId;
	}

	public void setJenisDietId(Integer jenisDietId) {
		this.jenisDietId = jenisDietId;
	}

	public String getJenisDiet() {
		return jenisDiet;
	}

	public void setJenisDiet(String jenisDiet) {
		this.jenisDiet = jenisDiet;
	}

	public String getStatusAntrian() {
		return statusAntrian;
	}

	public void setStatusAntrian(String statusAntrian) {
		this.statusAntrian = statusAntrian;
	}

}
